%define tarname rexml
Summary: REXML is an XML processor for the language Ruby
Name: ruby-REXML
Version: 2.7.1
Release: 1
License: Dual-licensed GPL/Artistic-like
Group: Applications/Ruby
Source0: http://www.germane-software.com/software/archives/%{tarname}_%{version}.tgz
Source1: http://www.germane-software.com/software/archives/%{tarname}_api_%{version}.tgz
URL: http://www.germane-software.com/software/rexml/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )
%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0
%endif

%description
REXML is an XML processor for the language Ruby. REXML is conformant (passes
100% of the Oasis non-validating tests), and includes full XPath support. It
is reasonably fast, and is implemented in pure Ruby. Best of all, it has a
clean, intuitive API.

%package doc
Group: Documentation
Summary: documentation for Ruby REXML

%description doc
Documentation for Ruby REXML

%prep
%setup -n %{tarname}_%{version} -a 1

%install
rm -rf $RPM_BUILD_ROOT
ruby -i -pe "sub(/(Config::CONFIG\['sitedir'])/, '\"$RPM_BUILD_ROOT\" + \1')" \
	bin/install.rb
ruby bin/install.rb
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    ruby -pe 'sub(%r{^'$RPM_BUILD_ROOT'}, "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc *.html *.xml *.txt README
%doc bin/repackage.rb
%doc -P benchmarks/ contrib/ docs/ img/ test/

%files doc
%defattr(-,root,root)
%doc rexml_%{version}/doc/*

%changelog
* Tue Jun 17 2003 Ian Macdonald <ian@caliban.org> 2.7.1-1
- 2.7.1

* Tue Apr 22 2003 Ian Macdonald <ian@caliban.org>
- 2.5.8

* Sun Feb 23 2003 Ian Macdonald <ian@caliban.org>
- 2.5.7

* Tue Feb 18 2003 Ian Macdonald <ian@caliban.org>
- 2.5.4

* Sun Dec 22 2002 Ian Macdonald <ian@caliban.org>
- 2.5.3

* Sun Sep 22 2002 Ian Macdonald <ian@caliban.org>
- 2.5.2

* Wed Aug 21 2002 Ian Macdonald <ian@caliban.org>
- 2.5.1

* Tue Jul  9 2002 Ian Macdonald <ian@caliban.org>
- 2.4.0

* Sun Jun  9 2002 Ian Macdonald <ian@caliban.org>
- 2.2.3

* Mon May 27 2002 Ian Macdonald <ian@caliban.org>
- 2.2.2

* Sat May 11 2002 Ian Macdonald <ian@caliban.org>
- 2.2.1

* Sat Apr 27 2002 Ian Macdonald <ian@caliban.org>
- 2.1.3
